using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class AfficheUpdate : DataAccessBase
	{
		public AfficheUpdate()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[AfficheUpdate]");
			ConfigParameter();
		}

		private SqlParameter paramAfficheID;
		public System.Int32 AfficheID
		{
			get
			{
				return (System.Int32)paramAfficheID.Value;
			}
			set
			{
				paramAfficheID.Value = value;
			}
		}

		private SqlParameter paramCaption;
		public System.String Caption
		{
			get
			{
				return (System.String)paramCaption.Value;
			}
			set
			{
				paramCaption.Value = value;
			}
		}

		private SqlParameter paramAfficheContent;
		public System.String AfficheContent
		{
			get
			{
				return (System.String)paramAfficheContent.Value;
			}
			set
			{
				paramAfficheContent.Value = value;
			}
		}

		private SqlParameter paramIssuanceDate;
		public System.DateTime IssuanceDate
		{
			get
			{
				return (System.DateTime)paramIssuanceDate.Value;
			}
			set
			{
				paramIssuanceDate.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramAfficheID = new SqlParameter();
			paramAfficheID.ParameterName = "@AfficheID";
			paramAfficheID.SqlDbType = SqlDbType.Int;
			paramAfficheID.Precision = 10;
			paramAfficheID.Scale = 0;
			paramAfficheID.Direction = ParameterDirection.Input;
			paramAfficheID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAfficheID);
			//--------------------------------------------------------
			paramCaption = new SqlParameter();
			paramCaption.ParameterName = "@Caption";
			paramCaption.SqlDbType = SqlDbType.VarChar;
			paramCaption.Size = 255;
			paramCaption.Direction = ParameterDirection.Input;
			paramCaption.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCaption);
			//--------------------------------------------------------
			paramAfficheContent = new SqlParameter();
			paramAfficheContent.ParameterName = "@AfficheContent";
			paramAfficheContent.SqlDbType = SqlDbType.Text;
			paramAfficheContent.Size = 2147483647;
			paramAfficheContent.Direction = ParameterDirection.Input;
			paramAfficheContent.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAfficheContent);
			//--------------------------------------------------------
			paramIssuanceDate = new SqlParameter();
			paramIssuanceDate.ParameterName = "@IssuanceDate";
			paramIssuanceDate.SqlDbType = SqlDbType.DateTime;
			paramIssuanceDate.Size = 16;
			paramIssuanceDate.Scale = 3;
			paramIssuanceDate.Direction = ParameterDirection.Input;
			paramIssuanceDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIssuanceDate);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}